Bulk validate payment details
curl --request POST \
--url https://api.paysway.dev/payments/bulk-validations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"country": "<string>",
"currency": "<string>",
"creditorAgent": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"creditor": {
"name": "<string>",
"contactDetails": {
"email": "<string>",
"phone": "<string>"
},
"dateOfBirth": "2023-12-25",
"taxId": "<string>",
"documents": [
{
"value": "<string>",
"type": "<string>"
}
]
},
"intermediaryAgent1": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"intermediaryAgent2": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"intermediaryAgent3": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"settlementInformation": {}
}
]
}
'import requests
url = "https://api.paysway.dev/payments/bulk-validations"
payload = { "items": [
{
"country": "<string>",
"currency": "<string>",
"creditorAgent": {
"bic": "<string>",
"clearingSystemMemberId": { "memberId": "<string>" },
"branchId": "<string>"
},
"creditor": {
"name": "<string>",
"contactDetails": {
"email": "<string>",
"phone": "<string>"
},
"dateOfBirth": "2023-12-25",
"taxId": "<string>",
"documents": [
{
"value": "<string>",
"type": "<string>"
}
]
},
"intermediaryAgent1": {
"bic": "<string>",
"clearingSystemMemberId": { "memberId": "<string>" },
"branchId": "<string>"
},
"intermediaryAgent2": {
"bic": "<string>",
"clearingSystemMemberId": { "memberId": "<string>" },
"branchId": "<string>"
},
"intermediaryAgent3": {
"bic": "<string>",
"clearingSystemMemberId": { "memberId": "<string>" },
"branchId": "<string>"
},
"settlementInformation": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
country: '<string>',
currency: '<string>',
creditorAgent: {
bic: '<string>',
clearingSystemMemberId: {memberId: '<string>'},
branchId: '<string>'
},
creditor: {
name: '<string>',
contactDetails: {email: '<string>', phone: '<string>'},
dateOfBirth: '2023-12-25',
taxId: '<string>',
documents: [{value: '<string>', type: '<string>'}]
},
intermediaryAgent1: {
bic: '<string>',
clearingSystemMemberId: {memberId: '<string>'},
branchId: '<string>'
},
intermediaryAgent2: {
bic: '<string>',
clearingSystemMemberId: {memberId: '<string>'},
branchId: '<string>'
},
intermediaryAgent3: {
bic: '<string>',
clearingSystemMemberId: {memberId: '<string>'},
branchId: '<string>'
},
settlementInformation: {}
}
]
})
};
fetch('https://api.paysway.dev/payments/bulk-validations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"status": "OK",
"alerts": []
},
{
"status": "ALERT",
"alerts": [
{
"code": "CREDITOR_IBAN_INVALID_FORMAT"
}
]
}
]
}Payment Preparation
Bulk validate payment details
Validates multiple payment instructions in a single request. Each item follows the same schema as POST /payments/validations and produces the same alert codes. Results are returned in the same order as the input. The maximum number of items per request is 20.
POST
/
payments
/
bulk-validations
Bulk validate payment details
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Maximum array length:
20Show child attributes
Show child attributes
Response
200 - application/json
Bulk validations result returned successfully
Show child attributes
Show child attributes
⌘I